Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory
Interface ObjectFactory<T>

    public interface ObjectFactory<T>

Defines a factory which can return an Object instance (possibly shared or independent) when invoked.

This interface is typically used to encapsulate a generic factory which returns a new instance (prototype) of some target object on each invocation.

This interface is similar to `FactoryBean`, but implementations of the latter are normally meant to be defined as SPI instances in a `BeanFactory`, while implementations of this class are normally meant to be fed as an API to other beans (through injection). As such, the `getObject()` method has different exception handling behavior.

Since:
  1.0.2
Author:
  Colin Sampaleanu
See Also:
  `FactoryBean`

Method Summary
`T` | `getObject()` Return an instance (possibly shared or independent) of the object managed by this factory.

Method Detail

### getObject

    T getObject()
                throws BeansException

  Return an instance (possibly shared or independent) of the object managed by this factory.

  Returns:
    an instance of the bean (should never be `null`)
  Throws:
    `BeansException` - in case of creation errors

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD